# lugins/osg/TexEnv.cpp File Reference

`#include "osg/TexEnv"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/TexEnv.cpp:

## Functions

bool | TexEnv_readLocalData (Object &obj, Input &fr)
bool | TexEnv_writeLocalData (const Object &obj, Output &fw)
bool | TexEnv_matchModeStr (const char *str, TexEnv::Mode &mode)
const char * | TexEnv_getModeStr (TexEnv::Mode mode)

## Variables

RegisterDotOsgWrapperProxy | g_TexEnvProxy (new osg::TexEnv,"TexEnv","Object StateAttribute TexEnv",&TexEnv_readLocalData,&TexEnv_writeLocalData)

## Function Documentation

const char * TexEnv_getModeStr | ( | TexEnv::Mode | mode | ) |

bool TexEnv_matchModeStr | ( | const char * | str,
|  | TexEnv::Mode & | mode
| ) |

bool TexEnv_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool TexEnv_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TexEnvProxy(new osg::TexEnv,"TexEnv","Object StateAttribute TexEnv",&TexEnv_readLocalData,&TexEnv_writeLocalData)